Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.opstatus
Interface OperationalStatusDataAvailableEventDescriptor

All Superinterfaces:
  EventPropertyDescriptor, IRPEventPropertyDescriptor, java.io.Serializable

public interface OperationalStatusDataAvailableEventDescriptor
extends IRPEventPropertyDescriptor

The `OperationalStatusDataAvailableEventDescriptor` interface is equivalent to an enumerated type. i.e. it is a public interface with string based static fields and is used to declare what event attributes are filterable and what are their types.

The `OperationalStatusDataAvailableEventDescriptor` interface extends the `com.sun.management.oss.util.IRPEventPropertyDescriptor` to define the event type of the `OperationalStatusDataAvailableEvent`. The `OperationalStatusDataAvailableEvent` is the JMS event that is sent when performance data is available.

If the event is related to a measurement job with the report mode set to ReportMode.FILE_SINGLE or ReportMode.EVENT_SINGLE, the value of the property OSS_MANAGED_ENTITY_PRIMARY_KEY shall be set to `pmKey.getOperationalStatusMonitorPrimaryKey()` and the property OSS_MANAGED_ENTITY_TYPE shall be set to `pmKey.getType()`. If the event is related to measurement jobs with the report mode set to ReportMode.FILE_MULTIPLE or ReportMode.EVENT_MULTIPLE, the value of the property OSS_MANAGED_ENTITY_PRIMARY_KEY shall be set to the system DN and the property OSS_MANAGED_ENTITY_TYPE shall be set to "JVTHome". The event attribute "managedObjectInstance" shall also be set to the same value as the OSS_MANAGED_ENTITY_PRIMARY_KEY property. The event attribute "managedObjectClass" shall also be set to the same value as the OSS_MANAGED_ENTITY_TYPE property.

Version:
  0.9.1, 2001-11-30
Author:
  Stefan Aberg

Field Summary
`static java.lang.String` | `OSS_EVENT_TYPE_VALUE` Defines the event type of OperationalStatus Data Available Events.

Fields inherited from interface com.sun.management.oss.util.IRPEventPropertyDescriptor
`OSS_EVENT_TIME_PROP_NAME, OSS_EVENT_TIME_PROP_TYPE, OSS_MANAGED_ENTITY_PK_PROP_NAME, OSS_MANAGED_ENTITY_PK_PROP_TYPE, OSS_MANAGED_ENTITY_TYPE_PROP_NAME, OSS_MANAGED_ENTITY_TYPE_PROP_TYPE`

Fields inherited from interface com.sun.management.oss.EventPropertyDescriptor
`BOOLEAN, BYTE, DOUBLE, FLOAT, INT, LONG, OSS_APPLICATION_DN_PROP_NAME, OSS_APPLICATION_DN_PROP_TYPE, OSS_EVENT_TYPE_PROP_NAME, OSS_EVENT_TYPE_PROP_TYPE, SHORT, STRING`

Method Summary
`OperationalStatusDataAvailableEvent` | `makeOperationalStatusDataAvailableEvent()` Creates a new instance of the `OperationalStatusDataAvailableEvent` interface.

Methods inherited from interface com.sun.management.oss.util.IRPEventPropertyDescriptor
`makeIRPEvent`

Methods inherited from interface com.sun.management.oss.EventPropertyDescriptor
`getEventType, getPropertyNames, getPropertyTypes, makeEvent`

Field Detail

### OSS_EVENT_TYPE_VALUE

    public static final java.lang.String OSS_EVENT_TYPE_VALUE

  Defines the event type of OperationalStatus Data Available Events. The method `getEventType()` returns this constant.

  See Also:
    Constant Field Values

Method Detail

### makeOperationalStatusDataAvailableEvent

    public OperationalStatusDataAvailableEvent makeOperationalStatusDataAvailableEvent()

  Creates a new instance of the `OperationalStatusDataAvailableEvent` interface.

  Returns:
    OperationalStatusDataAvailableEvent The created object. The object is empty.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD